Package com.io7m.idstore.admin_client.api

# Record Class IdAClientCredentials

java.lang.Object
java.lang.Record
com.io7m.idstore.admin_client.api.IdAClientCredentials

Record Components:
  `userName` - The username
  `password` - The password
  `baseURI` - The base URI
  `attributes` - The attributes

All Implemented Interfaces:
  `com.io7m.hibiscus.api.HBCredentialsType`

public record IdAClientCredentials(String userName, String password, URI baseURI, Map<String,String> attributes) extends Record implements com.io7m.hibiscus.api.HBCredentialsType
The client credentials.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `IdAClientCredentials(String userName, String password, URI baseURI, Map<String,String> attributes)`
  The client credentials.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `Map<String,String>`
  `attributes()`
  Returns the value of the `attributes` record component.
  `URI`
  `baseURI()`
  Returns the value of the `baseURI` record component.
  `final boolean`
  `equals(Object o)`
  Indicates whether some other object is "equal to" this one.
  `final int`
  `hashCode()`
  Returns a hash code value for this object.
  `String`
  `password()`
  Returns the value of the `password` record component.
  `final String`
  `toString()`
  Returns a string representation of this record class.
  `String`
  `userName()`
  Returns the value of the `userName` record component.

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### IdAClientCredentials

    public IdAClientCredentials(String userName, String password, URI baseURI, Map<String,String> attributes)
    The client credentials.
    Parameters:
      `userName` - The username
      `password` - The password
      `baseURI` - The base URI
      `attributes` - The attributes

- ## Method Details

  - ### toString

    public final String toString()
    Returns a string representation of this record class. The representation contains the name of the class, followed by the name and value of each of the record components.
    Specified by:
      `toString` in class `Record`
    Returns:
      a string representation of this object

  - ### hashCode

    public final int hashCode()
    Returns a hash code value for this object. The value is derived from the hash code of each of the record components.
    Specified by:
      `hashCode` in class `Record`
    Returns:
      a hash code value for this object

  - ### equals

    public final boolean equals(Object o)
    Indicates whether some other object is "equal to" this one. The objects are equal if the other object is of the same class and if all the record components are equal. All components in this record class are compared with `Objects::equals(Object,Object)`.
    Specified by:
      `equals` in class `Record`
    Parameters:
      `o` - the object with which to compare
    Returns:
      `true` if this object is the same as the `o` argument; `false` otherwise.

  - ### userName

    public String userName()
    Returns the value of the `userName` record component.
    Returns:
      the value of the `userName` record component

  - ### password

    public String password()
    Returns the value of the `password` record component.
    Returns:
      the value of the `password` record component

  - ### baseURI

    public URI baseURI()
    Returns the value of the `baseURI` record component.
    Returns:
      the value of the `baseURI` record component

  - ### attributes

    public Map<String,String> attributes()
    Returns the value of the `attributes` record component.
    Returns:
      the value of the `attributes` record component